#!/bin/bash
 
IFEXT=enp0s3
IFDMZ=enp0s8
IFINT=enp0s9
 
# ici instruction pour activer le routage
echo "1" > /proc/sys/net/ipv4/ip_forward 
# ici instructions pour definir les stratégies par defaut (etape 1)
iptables -F 
iptables -P INPUT DROP
iptables -P OUTPUT DROP
iptables -P FORWARD DROP
# ici instructions pour remettre a zero les chaines filter et nat (etape 1)
iptables -F -t nat #remise à 0 de la table nat 
# On autorise la connexion SSH coté serveur
iptables -A INPUT -p tcp --dport 22 -j ACCEPT # en entrée
iptables -A OUTPUT -p tcp --sport 22 -j ACCEPT #en sortie

#on autorise les requetes DNS coté client 
iptables -A OUTPUT -p udp --dport 53 -j ACCEPT # en sortie 
iptables -A INPUT -p udp --sport 53 -j ACCEPT # en entrée

#on définit le proxy du lyéce
#export http_proxy=http://10.121.38.1:8080
# on autorise les requête émise  en http coté client
iptables -A OUTPUT -p tcp --dport 80 -j ACCEPT #en sortie
iptables -A INPUT -p tcp --sport 80 -j ACCEPT #en entrée

#on autorise les requetes émisent en ftp
iptables -A OUTPUT -p tcp --sport 21 -j ACCEPT #en entrée
iptables -A INPUT -p tcp --sport 21 -j ACCEPT #en entrée


